> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete integration



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json delete /v1/integration/{id}
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/integration/{id}:
    delete:
      tags:
        - Integration
      summary: Delete integration
      operationId: IntegrationController_remove
      parameters:
        - name: id
          required: true
          in: path
          description: Integration ID
          schema:
            type: string
            format: uuid
      responses:
        '202':
          description: Integration deletion queued
        '409':
          description: >-
            Syslog deploy, update, or apply is still in progress for this
            integration
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````